Bug 1219 - Module kcm_touchpad no translate (parts)
: Module kcm_touchpad no translate (parts)
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: Stanislav Hanzhin
: ROSA Linux Bugs
: ROSA 2012.1 Release
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-09 21:46 MSK by Postnikov Dmitry
Modified: 2013-02-18 11:31 MSK (History)
5 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
touchpad (69.82 KB, image/png)
2012-12-09 21:46 MSK, Postnikov Dmitry
Details
русская пошка полная (9.21 KB, text/x-gettext-translation)
2013-02-13 12:13 MSK, JDronova
Details
русский десктоп-файл (447 bytes, application/x-desktop)
2013-02-13 12:14 MSK, JDronova
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-12-09 21:46:27 MSK
Created attachment 912 [details]
touchpad

Description of problem:
В модуле "Touchpad" КДЕ Центра, не переведены некоторые места.

См.скрин
Comment 1 Denis Koryavov 2013-01-30 12:42:08 MSK
UP. Проблема просто в Desktop-файле.
Comment 2 JDronova 2013-01-30 19:15:50 MSK
В котором, Денис? Шарюсь по дереву svn, в kde-workspace про него нигде нет ничего.
Comment 3 Denis Silakov 2013-02-12 12:34:00 MSK
Это не часть KDE, а отдельное приложение - http://kde-apps.org/content/show.php/kcm_touchpad?content=113335
Comment 4 JDronova 2013-02-12 20:30:52 MSK
Вытащила перевод из kcm_touchpad-0.3.1-10.src.rpm и .pot с сайта разработчика, разбираюсь.
Comment 5 JDronova 2013-02-12 20:35:38 MSK
Вернее, вытащила русский .mo из установленной системы, не из пакета. В пакете русской локали чо-то нет, кстати.
Comment 6 JDronova 2013-02-12 20:55:42 MSK
Проверила относительно доступных .pot — нету там непереведённых строк.
Comment 7 Denis Silakov 2013-02-13 10:11:36 MSK
У нас там локализация добавляется патчем. И po файл немного отстал от жизни, хотя апстрим тоже давно не обновлялся.

Собственно, там одно слово перевести - "means" со скриншота. Как его лучше перевести?:)

Еще есть в пакете есть два .desktop-файла - ksyndaemon.desktop и touchpad.desktop.
Для них нужны русские Name и Comment. Скажи - какие, я патчи сделаю.
Comment 8 Stanislav Hanzhin 2013-02-13 10:52:24 MSK
means - назначить, означает.
Comment 9 Denis Koryavov 2013-02-13 11:32:31 MSK
ИМХО, в данном случае лучше перевести по смыслу "соответствует". Правда стоит посмотреть, впишется ли это в интерфейс.
Comment 10 Stanislav Hanzhin 2013-02-13 11:52:06 MSK
Посмотрел ещё раз... Там вообще сложно адекватно перевести, чтобы все варианты выглядели согласованными. Так что "соответствует" действительно впишется лучше.
Comment 11 JDronova 2013-02-13 12:06:07 MSK
Я вчера в пошке написала «означает», но «соответствует», действительно, лучше. Только смотрите, там пространство между двумя списками лучше поменьше оставить, наверное. Щас гляну те другие файлы и приложу аттачем.
Comment 12 JDronova 2013-02-13 12:13:15 MSK
Created attachment 1191 [details]
русская пошка полная

оставила «соответствует», но надо будет глянуть в интерфейсе, а то вдруг обрежется.
Comment 13 JDronova 2013-02-13 12:14:33 MSK
Created attachment 1193 [details]
русский десктоп-файл

Файл ksyndaemon.desktop я в пакете не нашла.
Comment 14 Denis Silakov 2013-02-13 12:16:40 MSK
А он тоже патчем добавляется.

$ cat /usr/share/kde4/services/ksyndaemon.desktop
[Desktop Entry]
Type=Service
Name=KSyndaemon
Comment=KDE Synaptics touchpad activity monitor
Comment 15 JDronova 2013-02-13 12:19:35 MSK
Тогда:
Name=KSyndaemon
Comment=Монитор активности тачпада Synaptics для KDE
Comment 16 Denis Koryavov 2013-02-13 12:23:25 MSK
А почему не "сенсорной панели"?
Comment 17 JDronova 2013-02-13 12:33:12 MSK
(In reply to comment #16)
> А почему не "сенсорной панели"?

Потому что «тачпад» поймут сразу все, а у «сенсорной панели» могут быть и другие значения.
Comment 18 Denis Koryavov 2013-02-13 12:38:42 MSK
Вот как раз нет. Я знаю далеко не одного человека, которого слово "тачпад" ставит в тупик. Да и нет такого слова в русском языке. А "сенсорная панель" - стандартный термин для подобных переводов (например, в GNOME переведено именно как "Сенсорная панель").
Comment 19 JDronova 2013-02-13 12:49:10 MSK
Денис, дорогой, иди в рассылку Russian KDE — там мужики сутками на эти темы могут соловьями разливаться. :)
Comment 20 Denis Koryavov 2013-02-13 12:53:18 MSK
Да я тут вообще "примус починяю". Вы, конечно, решайте сами - я лишь свое мнение высказываю.
Comment 21 Denis Silakov 2013-02-13 13:04:24 MSK
Advisory:

Updated Russian localization for kcm_touchpad

Build lists:
https://abf.rosalinux.ru/build_lists/944939
https://abf.rosalinux.ru/build_lists/944938
Comment 22 Vladimir Potapov 2013-02-13 15:15:13 MSK
(In reply to comment #20)
> Да я тут вообще "примус починяю". Вы, конечно, решайте сами - я лишь свое
> мнение высказываю.
Я вот согласен с Денисом, но гугл считает иначе, слово "тачпад" встречается чаще, чем "сенсорная панель". Если без кавычек, то сильно чаще.
Comment 23 Vladimir Potapov 2013-02-13 15:29:12 MSK
kcm_touchpad-0.3.1-11-rosa2012.1
********************** Advisory *******************
Updated Russian localization for KDE touchpad settings.
***************************************************
QA Verified